from setuptools import setup, find_packages

setup(
    name="document_LayoutBased_clustering_tool",
    version="0.1.1",
    packages=find_packages(),
    install_requires=[
        "pypdfium2",
        "pillow",
        "numpy",
        "opencv-python",
        "tqdm",
        "pandas",
        "scikit-learn",
        "tensorflow",
        "matplotlib",
        "openpyxl"
    ],
    author="Harish Kumar S",
    description="A package for document layout-based clustering using text shading and feature extraction.",
    author_email="harishkumar56278@gmail.com",
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires=">=3.7",
    entry_points={
        "console_scripts": [
            "textshade=document_clustering.textshade:main",
            "extractvisualfeature=document_clustering.feature_extraction_and_clustering:main"
        ]
    },
)
